Subject: Enable JavaScript backend for modules
Description

For the modules we need to include a customized version of the backend application. It should not include the inspector, the context
bar and the navigate component at first.

History
#1 - 2013-05-17 20:03 - Jacob Floyd

By subbar, do you mean the context bar?

And, modules could include the context bar, navigate, and inspector if it makes sense within their context, right?

Allowing modules to say "I need a language menu in the context bar with the navigator" could be very helpful - then those elements could be easily and
consistently reused where applicable.

#2 - 2013-05-18 13:15 - Aske Ertmann

Yes, we changed the naming a few times until we settled on context bar.

It's already planned that some modules will use navigate with the possibility to have the context structure expanded and the node tree collapsed or just
have the node tree. Also it's planned for the media browser to use the inspector. And last the context bar will be used for stuff like selecting viewing
options for lists, language etc.

#3 - 2013-07-11 23:58 - Aske Ertmann
- Status changed from New to Resolved
- Target version set to 1.0 beta 1
- % Done changed from 0 to 100
